## golang-github-cznic-lldb 1.0.1

=== Makefile ===
.PHONY:	all clean cover cpu editor internalError later mem nuke todo edit

grep=--include=*.go --include=*.l --include=*.y --include=*.yy
ngrep='TODOOK\|parser\.go\|scanner\.go\|.*_string\.go'

all: editor
	go vet 2>&1 | grep -v $(ngrep) || true
	golint 2>&1 | grep -v $(ngrep) || true
	make todo
	unused . || true
	misspell *.go
	gosimple || true

clean:
	go clean
	rm -f *~ *.test *.out

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu: clean
	go test -run @ -bench . -cpuprofile cpu.out
	go tool pprof -lines *.test cpu.out

edit:
	gvim -p Makefile *.go

editor:
	gofmt -l -s -w *.go
	go test
	go build

internalError:
	egrep -ho '"internal error.*"' *.go | sort | cat -n

later:
	@grep -n $(grep) LATER * || true
	@grep -n $(grep) MAYBE * || true

mem: clean
	go test -run @ -bench . -memprofile mem.out -memprofilerate 1 -timeout 24h
	go tool pprof -lines -web -alloc_space *.test mem.out

nuke: clean
	go clean -i

todo:
	@grep -nr $(grep) ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* * || true
	@grep -nr $(grep) TODO * || true
	@grep -nr $(grep) BUG * || true
	@grep -nr $(grep) [^[:alpha:]]println * || true

=== debian/changelog ===
golang-github-cznic-lldb (1.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ tous ]
  * Point URLs to new upstream VCS
  * Create compatibility symlink to old import path
  * Update debian/watch
  * Rules-Requires-Root: no
  * debian/control:correct Section (devel -> golang)
  * Bump debhelper-compat to 13
  * Add dependency on golang-modernc-internal-dev

  [ Andreas Tille ]
  * d/watch: Version=5
    Do not upgrade to latest upstream since cznic/internal is needed since
    version 1.0.2
  * Declare compliance with Debian Policy 4.7.2
  * Fix Homepage
  * Default Salsa CI
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 20 Sep 2025 12:46:22 +0200

golang-github-cznic-lldb (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #830823).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jul 2016 15:42:54 +1000

=== debian/control ===
Source: golang-github-cznic-lldb
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Tim Potter <tpot@hpe.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 golang-github-cznic-bufs-dev,
 golang-github-cznic-fileutil-dev,
 golang-github-cznic-mathutil-dev,
 golang-github-cznic-sortutil-dev,
 golang-github-cznic-zappy-dev,
 golang-modernc-internal-dev,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-lldb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-lldb.git
Homepage: https://pkg.go.dev/modernc.org/lldb
Rules-Requires-Root: no
XS-Go-Import-Path: modernc.org/lldb,
 	  github.com/cznic/lldb

Package: golang-github-cznic-lldb-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
 golang-github-cznic-bufs-dev,
 golang-github-cznic-fileutil-dev,
 golang-github-cznic-mathutil-dev,
 golang-github-cznic-sortutil-dev,
 golang-github-cznic-zappy-dev,
 golang-modernc-internal-dev,
Description: low level database engine
 lldb is Golang implementation of a low level database engine.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := testdata

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -XLICENSE

=== debian/watch ===
Version: 5

Template: Github
Owner: cznic
Project: lldb
